From db668897442576429206a75c113f3d91db8de19b Mon Sep 17 00:00:00 2001
From: Tender Wang <tndrwang@gmail.com>
Date: Wed, 9 Oct 2024 15:10:44 +0800
Subject: [PATCH] Remove an unnecessary check as Var can only belong to one
 sied of joinrel.

---
 contrib/postgres_fdw/postgres_fdw.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/contrib/postgres_fdw/postgres_fdw.c b/contrib/postgres_fdw/postgres_fdw.c
index adc62576d1..6e1d2e636c 100644
--- a/contrib/postgres_fdw/postgres_fdw.c
+++ b/contrib/postgres_fdw/postgres_fdw.c
@@ -5771,12 +5771,11 @@ semijoin_target_ok(PlannerInfo *root, RelOptInfo *joinrel, RelOptInfo *outerrel,
 		if (!IsA(var, Var))
 			continue;
 
-		if (bms_is_member(var->varno, innerrel->relids) &&
-			!bms_is_member(var->varno, outerrel->relids))
+		if (bms_is_member(var->varno, innerrel->relids))
 		{
 			/*
 			 * The planner can create semi-join, which refers to inner rel
-			 * vars in its target list. However, we deparse semi-join as an
+			 * vars in its target list.  However, we deparse semi-join as an
 			 * exists() subquery, so can't handle references to inner rel in
 			 * the target list.
 			 */
-- 
2.25.1

